Ask / Submit
16

Jolla Store crashes, unable to update system [answered]

asked 2013-12-27 17:17:34 +0300

jti gravatar image

updated 2014-01-31 00:33:49 +0300

ssahla gravatar image

Original title: Jolla Store and system update crashes when servers are overloaded

I think it should give error, not just crash.

Edit: Changed title to better reflect actual problem.

edit retag flag offensive reopen delete

The question has been closed for the following reason "the question is answered, an answer was accepted" by jti
close date 2013-12-27 18:48:29.087620

Comments

Mine pretends it is downloading but after a couple of minutes it back to square one and nothing has happened. Not even an error message.

Wizah ( 2013-12-27 17:22:29 +0300 )edit

I still have "Jolla Store problem" - can't install anything. Seems everyone install system updates.

Slawek ( 2013-12-27 17:28:25 +0300 )edit

1 Answer

Sort by » oldest newest most voted
37

answered 2013-12-27 18:04:47 +0300

pycage gravatar image

updated 2014-01-09 10:35:53 +0300

Nux gravatar image

The Jolla Store crashes for another reason. If you updated a Jolla app today before updating the OS to 1.0.2.5, you get in a messy situation where a package (jolla-settings-accounts) gets replaced with a newer version that is incompatible with the old store-client.

If you have the store UI open, leave it open until you are able to upgrade to 1.0.2.5.

If you already find yourself in the situation that the store crashes each time, do a

pkcon install store-client
pkill store-client

in the Terminal. This requires Developer Mode.

Without Developer Mode, AFAIK only a reset to factory default will help.

edit flag offensive delete publish link more

Comments

Which version of store-client causes the problem?

Sailor ( 2013-12-27 18:12:07 +0300 )edit

Bad thing: If Developer Mode wasn't activated before, this is obviously also affected by the same thing. Trying to activate it gives Store-error Message for Developermode too....

So, in case that you are trapped, do factory reset and don't do anything before the OS-Update is done!

ramoth ( 2013-12-27 18:14:33 +0300 )edit
1

You need store-client 0.2.38 (the one from the update) to work with the new jolla-settings-accounts package. Older versions will all crash at starting the UI.

pycage ( 2013-12-27 18:16:24 +0300 )edit
1

Is there a way to update the system via developer mode? So it comes back to a consistent state?

Sailor ( 2013-12-27 18:17:19 +0300 )edit

jolla-email breaks the system: rpm -qR jolla-email-0.0.76-10.18.1.jolla.armv7hl ambient-icons-closed >= 0.1.4 buteo-sync-plugins-email >= 0.0.6 jolla-email-all-translations-pack
jolla-email-settings = 0.0.76 jolla-settings-accounts >= 0.1.31

Because this implies having jolla-settings-accounts updated

Sailor ( 2013-12-27 18:50:31 +0300 )edit

Question tools

Follow
6 followers

Stats

Asked: 2013-12-27 17:17:34 +0300

Seen: 5,850 times

Last updated: Jan 09 '14